/* Species page */
.species-container{
    font-family: var( --e-global-typography-primary-font-family ), Sans-serif;
    padding: 0 20px
}
.species-container a{
    text-decoration: none
}
.species{
	margin: 0 auto;
    position: relative;
	max-width: 1120px
}
.species .list-heading,
.species .card__number,
.species:not(.list) .invase_list_ico,
.species:not(.list) .invase_list_added,
.species:not(.list) .card__classification{
    display: none;
}

.species.grid{
    display: grid;
	gap: 40px;
	grid-template-columns: repeat(4, 1fr);
}
.invase_list_ico{
    display:flex;
    gap:8px;
}
.invase_list_ico img{
    width:24px
}
.species .card a{
    line-height: 1.1rem;
    font-size: 1.125rem;
    color: var( --e-global-color-primary );
}
.species .card__title{
    margin: 12px 0 0 0; 
    font-size: inherit;   
}
.species:not(.list)  .card__title{
    display: inline-block;
    font-size: inherit;
}
.species .card__subtitle{
    margin: 0; 
    font-weight: bold;
    margin: 12px 0 0 0;
}
@media(max-width:768px){
	.species.grid{
    	grid-template-columns: repeat(2, 1fr);
    	gap:24px 10px;
	}
	.species .card a{
		font-size: 0.875rem;
        margin: 0;
	}
}


.card__thumbnail-container{
    position: relative;
    border-radius: 8px;
    overflow: hidden;
    margin: 0 0 0 0;
}

.card__thumbnail-container::after {
    content: "";
    display: block;
    padding-bottom: 100%;
}

.card__thumbnail-container > div{
    position: absolute;
    z-index: 1;
    bottom: 10px;
    left: 10px;
    display: flex;
    gap: 8px;
}
.card__thumbnail-container > div img{
width: 24px;
}
  
  .card__thumbnail {
    position: absolute;
    width: 100%;
    height: 100% !important;
    object-fit: cover;
  }

  .species-container .pagination{
	display: flex;
    align-items: center;
    justify-content: center;
	margin: 32px 0;
}
.species-container .pagination a{
	color: var( --e-global-color-primary );
	width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
	margin: 0 8px;
}
.species-container .pagination a.active{
	background-color:var( --e-global-color-accent );
	border-radius:4px;
}

.not-found{
    position: relative;
}


/**/
.species-view-container{
    position: relative;
    z-index: 1;
    margin: 0 auto 16px;
	max-width: 1120px;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 16px;
}
.species-view{
    background-color: #6c604d1c;
    padding: 0.25rem 0.25rem;
    border-radius: 0.5rem;
    display: inline-flex;
}
.species-view button{
    border:0;
    background-color: transparent;
    cursor: pointer;
    color: var(--am-primary-color);
    font-size: .875rem;
    padding: 0.5rem 1rem;
    border-radius: 4px;
    display: block;
}
.species-view button.active {
    color: #1e2022;
    background-color: #fff;
    box-shadow: 0 0.1875rem 0.375rem 0 rgb(140 152 164 / 25%);
}

.species.list {
    background-color: #fff;
    padding: 24px 32px;
    border-radius: 8px;
}
.species.list .list-heading,
.species.list .card__number{
    display: block;
}

.species.list .card{
   border-bottom:1px solid #21325b1a
}
.species.list .card a .card__thumbnail-container {
    display: none;
}
.species.list .card__header{
    display: grid;
	gap: 8px;
	grid-template-columns: 40px 1fr 1fr 88px 130px 130px;
    margin: 0;
    padding-top: 8px;
    padding-bottom: 12px;
    align-items: center;
}
.species.list :not(.list-heading ) .card__header:hover{
    background-color: #F9FAFC;
}
.species.list .card__header div,
.species.list .card__header span{
    font-size: 16px;
    color: var(--e-global-color-primary );
    font-weight: 400;
    text-transform: inherit;
    margin:0
}
.species.list .card__header div h2{
    margin:0;
    font-size: 1rem;
    font-weight: 400;
}
.species.list .card__header span:first-of-type{
    text-align: center;
}
.species.list .list-heading .card__header *{
    font-size: 14px;
    color: var(--am-primary-color);
}
 @media(max-width:768px){
    .hide-xs{
        display: none;
    }
    .species.list .card__header{
        grid-template-columns: 40px 1fr;
        gap:0 8px
    }
    .species.list .card__header >div{
        margin-bottom: 8px;
    }
    .species.list .card__header *:nth-child(4){
        display: flex;
        align-items: center;
        gap:4px
    }
    .species.list .card__header *:nth-child(4) img{
        margin:0
    }
	.species.list .card__header *:nth-child(3),
	.species.list .card__header *:nth-child(4),
	.species.list .card__header *:nth-child(5),
    .species.list .card__header *:nth-child(6),
    .species.list .card__header *:nth-child(7){
    	grid-column: 2 / span 2;
	}
    .species.list .card.list-heading{
        display: none;
    }
    .species.list {
        padding: 0;
    }
    .species.list .card__header > *:nth-child(3):before,
	.species.list .card__header > *:nth-child(4):before,
    .species.list .card__header > *:nth-child(5):before,
    .species.list .card__header > *:nth-child(6):before,
    .species.list .card__header > *:nth-child(7):before{
    	content:attr(data-title) ': ';
	}
    
}

.species:not(.list) .synonyms{
    color: var(--e-global-color-text );
    line-height: 1.1rem;
    display: block;
    white-space: pre-line;
}

.species .habitat,
.species:not(.list) .listed,
.species .species_list{
    display: none;
}
.species.list .habitat,
.species.list .species_list{
    display: block;
}

.species.list .species_list img+img{
    margin-top:4px
}

/**/
.input-card {
    display: flex;
    background-color: #fff;
    padding: .6125rem .6125rem;
    box-shadow: 0 .375rem 1.5rem 0 rgba(140,152,164,.125);
    border-radius: .5rem;
    width: 100%;
}

.input-card .input-card-form {
    flex: 1 0 0%
}

.input-card .btn {
    flex: 0 0 auto
}

.input-card .form-control {
    border-width: 0
}

.input-card .form-control:focus {
    box-shadow: none;
    border: 0;
    outline: none;
}

.input-card .input-group {
    border-width: 0
}

.input-card .input-card-form {
    position: relative
}

.input-card .input-card-form:not(:first-child) {
    padding-left: 1rem
}

.input-card .input-card-form:not(:first-child)::before {
    position: absolute;
    top: 50%;
    left: 0;
    width: .0625rem;
    height: 2rem;
    background-color: rgba(33,50,91,.1);
    content: "";
    transform: translateY(-50%)
}

.input-card .input-card-form:not(:last-child) {
    padding-right: 1rem
}

@media (min-width: 576px) {
    .input-card-pill {
        border-radius:50rem
    }
}

@media (max-width: 575.98px) {
    .input-card-sm {
        display:grid
    }

    .input-card-sm .btn,.input-card-sm .input-card-form {
        flex: 0 0 auto
    }

    .input-card-sm .input-card-form {
        padding: 1rem 0!important;
        border-bottom: .0625rem solid rgba(33,50,91,.1)
    }

    .input-card-sm .input-card-form:first-child {
        padding-top: 0!important
    }

    .input-card-sm .input-card-form:not(:first-child)::before {
        display: none
    }
}

.btn {
    --bs-btn-padding-x: 1rem;
    --bs-btn-padding-y: 0.6125rem;
    --bs-btn-font-size: 1rem;
    --bs-btn-font-weight: 400;
    --bs-btn-line-height: 1.5;
    --bs-btn-color: #677788;
    --bs-btn-bg: transparent;
    --bs-btn-border-width: 0.0625rem;
    --bs-btn-border-color: transparent;
    --bs-btn-border-radius: 0.3125rem;
    --bs-btn-hover-border-color: transparent;
    --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15),0 1px 1px rgba(0, 0, 0, 0.075);
    --bs-btn-disabled-opacity: 0.65;
    --bs-btn-focus-box-shadow: 0 0 0 0 rgba(var(--bs-btn-focus-shadow-rgb), .5);
    display: inline-block;
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size);
    font-weight: var(--bs-btn-font-weight);
    line-height: var(--bs-btn-line-height);
    color: var(--bs-btn-color);
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    user-select: none;
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
    border-radius: var(--bs-btn-border-radius);
    background-color: var(--bs-btn-bg);
    transition: all .2s ease-in-out;
    --bs-btn-color: #fff;
    --bs-btn-bg: var(--am-primary-color);
    --bs-btn-border-color: var(--am-primary-color);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #2f6ad9;
    --bs-btn-hover-border-color: #2c64cc;
    --bs-btn-focus-shadow-rgb: 85,145,255;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #2c64cc;
    --bs-btn-active-border-color: #295ebf;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: var(--am-primary-color);
    --bs-btn-disabled-border-color: var(--am-primary-color);
}
.form-select {
    display: block;
    width: 100%;
    padding: 0.6125rem 3rem 0.6125rem 1rem;
    -moz-padding-start: calc(1rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #1e2022;
    background-color: #fff;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%2371869d' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 1rem center;
    background-size: 16px 12px;
    border: 0.0625rem solid rgba(33,50,91,.1);
    border-radius: 0.3125rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    appearance: none;
}
.form-select:focus {
    box-shadow: none;
    border: 0;
    outline: none;
}
.form-select-sm {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-left: 1rem;
    font-size: .875rem;
    border-radius: 0.3125rem;
}
.form-control {
    display: block;
    width: 100%;
    padding: 0.6125rem 1rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #1e2022;
    background-color: #fff;
    background-clip: padding-box;
    border: 0.0625rem solid rgba(33,50,91,.1);
    appearance: none;
    border-radius: 0.3125rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.filter-view{
    background-color: #6c604d1c;
    padding: 0.25rem 0.25rem;
    border-radius: 0.5rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-right: auto;
} 
.filter-view  input[type="radio"] {
    display: none;
}
.filter-view  label {
    cursor: pointer;
    color: var(--am-primary-color);
    font-size: .875rem;
    padding: 4px 1rem;
    border-radius: 4px;
    display: block;
}
.filter-view   input[type="radio"]:checked + label,
.filter-view  input[type="radio"]:active + label {
    color: #1e2022;
    background-color: #fff;
    box-shadow: 0 0.1875rem 0.375rem 0 rgb(140 152 164 / 25%);
}
@media(max-width:768px){
    .species-view-container {
        justify-content: space-between;
    }
    .filter-view label{
        width: 100%;
        text-align: center;
    }
    .filter-view {
        width: 100%;
        justify-content: space-around;
    }
}